<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'address',

    /*
     * Package.
     */
    'package'   => 'address',

    /*
     * Modules.
     */
    'modules'   => ['address'],

    
    'address'       => [
        'model' => [
            'model'                 => \Address\Address\Models\Address::class,
            'table'                 => 'addresses',
            'presenter'             => \Address\Address\Repositories\Presenter\AddressPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'company_id',  'ou_id',  'title',  'phone',  'address1',  'address2',  'postal_code',  'country',  'state',  'suburb',  'billing_address_country',  'billing_address_state',  'billing_address_postalcode',  'billing_address_address1',  'slug',  'user_id',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'address/address',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Address',
            'package'   => 'Address',
            'module'    => 'Address',
        ],

    ],
];
