<?php

namespace Address\Address\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AddressTransformer extends TransformerAbstract
{
    public function transform(\Address\Address\Models\Address $address)
    {
        return [
            'id'                => $address->getRouteKey(),
            'key'               => [
                'public'    => $address->getPublicKey(),
                'route'     => $address->getRouteKey(),
            ], 
            'company_id'        => $address->company_id,
            'ou_id'             => $address->ou_id,
            'title'             => $address->title,
            'phone'             => $address->phone,
            'address1'          => $address->address1,
            'address2'          => $address->address2,
            'postal_code'       => $address->postal_code,
            'country'           => $address->country,
            'state'             => $address->state,
            'suburb'            => $address->suburb,
            'billing_address_country' => $address->billing_address_country,
            'billing_address_state' => $address->billing_address_state,
            'billing_address_postalcode' => $address->billing_address_postalcode,
            'billing_address_address1' => $address->billing_address_address1,
            'slug'              => $address->slug,
            'user_id'           => $address->user_id,
            'deleted_at'        => $address->deleted_at,
            'url'               => [
                'public'    => trans_url('address/'.$address->getPublicKey()),
                'user'      => guard_url('address/address/'.$address->getRouteKey()),
            ], 
            'status'            => trans('app.'.$address->status),
            'created_at'        => format_date($address->created_at),
            'updated_at'        => format_date($address->updated_at),
        ];
    }
}